## org.apache.mahout.math.hadoop
Class TimesSquaredJob.VectorSummingReducer

    java.lang.Object
      org.apache.hadoop.mapred.MapReduceBase
          org.apache.mahout.math.hadoop.TimesSquaredJob.VectorSummingReducer

All Implemented Interfaces:
  Closeable, org.apache.hadoop.mapred.JobConfigurable, org.apache.hadoop.mapred.Reducer<org.apache.hadoop.io.NullWritable,VectorWritable,org.apache.hadoop.io.NullWritable,VectorWritable>

Enclosing class:
  TimesSquaredJob

    public static class TimesSquaredJob.VectorSummingReducer

extends org.apache.hadoop.mapred.MapReduceBase
implements org.apache.hadoop.mapred.Reducer<org.apache.hadoop.io.NullWritable,VectorWritable,org.apache.hadoop.io.NullWritable,VectorWritable>

Constructor Summary
`TimesSquaredJob.VectorSummingReducer()`

Method Summary
`void` `configure(org.apache.hadoop.mapred.JobConf conf)`
`void` `reduce(org.apache.hadoop.io.NullWritable n, Iterator<VectorWritable> vectors, org.apache.hadoop.mapred.OutputCollector<org.apache.hadoop.io.NullWritable,VectorWritable> out, org.apache.hadoop.mapred.Reporter reporter)`

Methods inherited from class org.apache.hadoop.mapred.MapReduceBase
`close`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.Closeable
`close`

Constructor Detail

### TimesSquaredJob.VectorSummingReducer

    public TimesSquaredJob.VectorSummingReducer()

Method Detail

### configure

    public void configure(org.apache.hadoop.mapred.JobConf conf)

  Specified by:
    `configure` in interface `org.apache.hadoop.mapred.JobConfigurable`
  Overrides:
    `configure` in class `org.apache.hadoop.mapred.MapReduceBase`

### reduce

    public void reduce(org.apache.hadoop.io.NullWritable n,
                       Iterator<VectorWritable> vectors,
                       org.apache.hadoop.mapred.OutputCollector<org.apache.hadoop.io.NullWritable,VectorWritable> out,
                       org.apache.hadoop.mapred.Reporter reporter)
                throws IOException

  Specified by:
    `reduce` in interface `org.apache.hadoop.mapred.Reducer<org.apache.hadoop.io.NullWritable,VectorWritable,org.apache.hadoop.io.NullWritable,VectorWritable>`
  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.